ID(1)

NAME
id - print real and effective UIDs and GIDs

SYNOPSIS
id [-gnruG] [--group] [--name] [--real] [--user] [--groups] [--help] [--version] [username]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of id. id prints information about the given user, or the process running it if no user is specified. By default, it prints the real user ID, real group ID, effective user ID if different from the real user ID, effective group ID if different from the real group ID, and supplemental group IDs. It prints each of these values preceded by a string identifying it and followed by the corresponding user or group name in parentheses.

The options cause id to print only part of the above information.

  OPTIONS

-g, --group
    Print only the group ID.

-G, --groups
    Print only the supplementary groups.

--help
    Print a usage message on standard output and exit successfully.

-n, --name
    Print the user or group name instead of the ID number. Requires -u, -g, or -G.

-r, --real
    Print the real, instead of effective, user or group ID. Requires -u, -g, or -G.

-u, --user
    Print only the user ID.

--version
    Print version information on standard output then exit successfully.